Subject: Re: Wishlist for branch management

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 01 Feb 2010 09:49:51 -0800

On 02/01/2010 01:19 AM, Petr Baudis wrote:
> I'm used to git symbolic-ref HEAD. I like the fact that human-friendly
> and scripting interfaces are mostly separated to different commands.

It's makes the learning curve for scripting git unnecessarily large.
Furthermore, it's rather unrealistic for people who are not git people
to follow this dictum -- I have seen the git scripts that the kernel
people write, including myself, and they generally tend to use the same
commands they're used to using themselves.

So I think it's actually a really bad UI design.  It helps making clear
what is scriptable (stable) and what isn't, but expecting people to use
a different mental rubric when scripting than when working on the
command line is completely unrealistic.

	-hpa

-- 
H. Peter Anvin, Intel Open Source Technology Center
I work for Intel.  I don't speak on their behalf.